using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity.WorkFlow;
using GxPress.Request.App.Flow;
using Datory;

namespace GxPress.Repository.Interface.WorkFlow
{
    public interface IFlowMessageRepository : IRepository
    {
        Task<int> InsertAsync(FlowMessage item);

        Task<IEnumerable<FlowMessage>> GetListByFlowIdAsync(int flowId, string type);

        Task<bool> DeleteAllAsync(int flowId);
    }
}